﻿using System.Windows;
using ThinkGeo.MapSuite;
using ThinkGeo.MapSuite.Wpf;

namespace OpenStreetMapDemo
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void map_Loaded(object sender, RoutedEventArgs e)
        {
            map.MapUnit = GeographyUnit.Meter;
            var osmOverlay = new OpenStreetMapOverlay();
            map.Overlays.Add(osmOverlay);

            map.CurrentExtent = new ThinkGeo.MapSuite.Shapes.RectangleShape(-13086298.60, 7339062.72, -8111177.75, 2853137.62);
            map.Refresh();
        }
    }
}
